# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PResultMerge

Packages that use ParForProgramBlock.PResultMerge
Package
Description
org.apache.sysds.runtime.controlprogram

## Uses of ParForProgramBlock.PResultMerge in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return ParForProgramBlock.PResultMerge
Modifier and Type
Method
Description
`static ParForProgramBlock.PResultMerge`
ParForProgramBlock.PResultMerge.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PResultMerge[]`
ParForProgramBlock.PResultMerge.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram with parameters of type ParForProgramBlock.PResultMerge
Modifier and Type
Method
Description
`static ResultMerge<?>`
ParForProgramBlock.`createResultMerge(ParForProgramBlock.PResultMerge prm, CacheableData<?> out, CacheableData<?>[] in, String fname, boolean accum, int numThreads, ExecutionContext ec)`
`void`
ParForProgramBlock.`setResultMerge(ParForProgramBlock.PResultMerge merge)`